% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/datasets.R
\name{dataset}
\alias{dataset}
\title{Generates test datasets.}
\usage{
dataset(name = "M1", n, B, p.mix = 0.3, lambda = 1)
}
\arguments{
\item{name}{One of \code{"M1"}, \code{"M2"}, \code{"M3"}, \code{"M4"} or \code{"M5"}}

\item{n}{nr samples}

\item{B}{SDR basis used for dataset creation if supplied.}

\item{p.mix}{Only for \code{"M4"}, see: below.}

\item{lambda}{Only for \code{"M4"}, see: below.}

\item{p}{Dim. of random variable \code{X}.}
}
\value{
List with elements
\itemize{
     \item{X}{data}
     \item{Y}{response}
     \item{B}{Used dim-reduction matrix}
     \item{name}{Name of the dataset (name parameter)}
}
}
\description{
Provides sample datasets. There are 5 different datasets named
M1, M2, M3, M4 and M5 described in the paper references below.
The general model is given by:
\deqn{Y = g(B'X) + \epsilon}
}
\section{M1}{

The data follows \eqn{X\sim N_p(0, \Sigma)}{X ~ N_p(0, Sigma)} for a subspace
dimension of \eqn{k = 2} with a default of \eqn{n = 200} data points.
The link function \eqn{g} is given as
\deqn{g(x) = \frac{x_1}{0.5 + (x_2 + 1.5)^2} + \epsilon / 2}{%
      g(x) = x_1 / (0.5 + (x_2 + 1.5)^2) + epsilon / 2}
}

\section{M2}{

\eqn{X\sim N_p(0, \Sigma)}{X ~ N_p(0, Sigma)} with \eqn{k = 2} with a
default of \eqn{n = 200} data points.
The link function \eqn{g} is given as
\deqn{g(x) = (b_1^T X) (b_2^T X)^2 + \epsilon / 2}
}

\section{M3}{

\deqn{g(x) = cos(b_1^T X) + \epsilon / 2}
}

\section{M4}{

TODO:
}

\section{M5}{

TODO:
}

